#!/opt/epics-3.14.12/base/bin/linux-x86/softIoc
epicsEnvSet IOC         TEST-IOC-PLC1
epicsEnvSet ENGINEER    Dirk
epicsEnvSet LOCATION    "Seminar Room"
< stats.cmd


# Load drivers and dbd files ==============

dlload /opt/epics-3.14.12/modules/lib/linux-x86/libs7plc.so
dbLoadDatabase /opt/epics-3.14.12/modules/dbd/s7plc.dbd
s7plc_registerRecordDeviceDriver
#s7plcConfigure "PLCname","IPaddr",IPport,inSize,outSize,bigEndian,recvTimeout,sendIntervall
s7plcConfigure "PLC1","192.168.0.10",2000,10,10,1,500,100

# Load your record files ==================

dbLoadTemplate("TEST-IOC-PLC1.subs")

# start the EPICS IOC =====================

iocInit
